## modulemd-build-config-private modulemd-build-config-private |

## Functions

ModulemdBuildConfig * | modulemd_build_config_parse_yaml ()
gboolean | modulemd_build_config_emit_yaml ()

## Description

## Functions

### modulemd_build_config_parse_yaml ()

    ModulemdBuildConfig *
    modulemd_build_config_parse_yaml (yaml_parser_t *parser,
                                      gboolean strict,
                                      GError **error);

#### Parameters

parser | A yaml_parser_t positioned at the start of a configuration entry of a ModulemdPackagerV3 YAML document. |
strict | Whether to ignore unknown keys in the YAML |
error | A GError explaining any failure to complete the parsing. | [out]

#### Returns

A newly-constructed ModulemdBuildConfig object populated from the data in the provided YAML. Returns NULL and sets `error` appropriately if the document couldn't be parsed successfully or failed validation.

[transfer full]

Since: 2.11

### modulemd_build_config_emit_yaml ()

    gboolean
    modulemd_build_config_emit_yaml (ModulemdBuildConfig *self,
                                     yaml_emitter_t *emitter,
                                     GError **error);

#### Parameters

self | This ModulemdBuildConfig object. |
emitter | A libyaml emitter object positioned where a BuidConfig belongs in the YAML document. | [inout]
error | A GError that will return the reason for an emission or validation error. | [out]

#### Returns

TRUE if the BuildConfig was emitted successfully. FALSE and sets `error` appropriately if the YAML could not be emitted.

Since: 2.11